Subject: Re: Do pattern rules work in NT?
From: [email-masked] (Tom)

21 Jul 1997 07:47:39 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (Win95; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Robert Nicholson wrote:
> 
> Should the following pattern rule work in NT?
> 
> classes\%.class: %.java
>         javac ......
> 
> if I have a dependency like classes/something.class
> 
> won't it match this rule?
> 
> The gnumake shipped with NeXT's OE 4.2 for NT doesn't seem to.

I have seen some makes fail silently if the dependency is greater than
one char in length (.o). I worked around this by linking the .class
to .j or something and it started working.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".